<?php
/**
 * 2026 Paysera
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * @author Paysera <plugins@paysera.com>
 * @copyright 2026 Paysera
 * @license http://opensource.org/licenses/afl-3.0.php Academic Free License (AFL 3.0)
 * International Registered Trademark & Property of Paysera
 */

declare(strict_types=1);

namespace Paysera\PrestashopPayments\Dto;

if (!defined('_PS_VERSION_')) {
    exit;
}

final class CallbackResponse
{
    private int $httpCode;
    private string $message;

    private function __construct(int $httpCode, string $message)
    {
        $this->httpCode = $httpCode;
        $this->message = $message;
    }

    public static function success(): self
    {
        return new self(200, 'OK');
    }

    public static function error(int $code, string $message): self
    {
        return new self($code, $message);
    }

    public function getHttpCode(): int
    {
        return $this->httpCode;
    }

    public function getMessage(): string
    {
        return $this->message;
    }
}
